Skip to main content
`Ctrl`+`K`

# PetscCommSplitReductionBegin

Begin an asynchronous split-mode reduction

## Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscCommSplitReductionBegin(MPI_Comm comm)

Collective but not synchronizing

## Input Parameter

- comm - communicator on which split reduction has been queued

## Note

Calling this function is optional when using split-mode reduction. On supporting hardware, calling this after all VecXxxBegin() allows the reduction to make asynchronous progress before the result is needed (in VecXxxEnd()).

## See Also

`VecNormBegin()`, `VecNormEnd()`, `VecDotBegin()`, `VecDotEnd()`, `VecTDotBegin()`, `VecTDotEnd()`, `VecMDotBegin()`, `VecMDotEnd()`, `VecMTDotBegin()`, `VecMTDotEnd()`

## Level

advanced

## Location

src/vec/vec/utils/comb.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages